local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local addon, ns = ...

P[mPlugin] = {
	["mMsg"] 				= true,
	["mTIcon"] 				= true,
	["mTIconSize"] 			= 32,
	["mProfIcon"] 			= true,
	["mMenuColor"] 			= true,
	["mClassColorHover"] 	= true,
	["mHoverTexture"] 		= "|CFF8E44ADm|r|CFF2ECC71Media|r |CFF3498DB4a|r",
	["mPluginVersion"] 		= 0,
	["mClassNameplate"] 	= false,
	["mBackup"] 			= false,
	["mBackupHover"] 		= {
		["cr"] = 0, 
		["cg"] = 0, 
		["cb"] = 0, 
		["br"] = 0, 
		["bg"] = 0, 
		["bb"] = 0
	},
	["mBackupHoverBorder"] 	= nil,
	["InstancInfoToolTip"]	= true,
	["InstancInfoName"]		= true,
	["SAchievement10"]		= false,
	["SAchievement15"]		= false,
	["SAchievement0"]		= false,
	["DAchievement10"]		= false,
	["DAchievement15"]		= false,
	["DAchievement0"]		= false,
	["SAffix"]				= false,
	["SKeystone"]			= false,
	["DKeystone"]			= true,
	["DAffix"]				= true,
	["DInstancInfoName"]	= true,
	["cClassRare"]			= {
		["b"] = 0.77254901960784,
		["color"] = "|cff8356c5",
		["g"] = 0.33725490196078,
		["r"] = 0.51372549019608,
	},
	["cClassRareElite"]		= {
		["b"] = 0.78823529411765,
		["color"] = "|cffab54c9",
		["g"] = 0.32941176470588,
		["r"] = 0.67058823529412,
	},
	["cClassElite"]			= {
		["b"] = 0.83529411764706,
		["color"] = "|cffff68d5",
		["g"] = 0.4078431372549,
		["r"] = 1,
	},
	["cClassBoss"]			= {
		["b"] = 0.31372549019608,
		["color"] = "|cffe52b50",
		["g"] = 0.16862745098039,
		["r"] = 0.89803921568627,
	},
	["cGeneralAFK"]			= {
		["b"] = 0.32156862745098,
		["color"] = "|cffff2051",
		["g"] = 0.12549019607843,
		["r"] = 1,
	},
	["cGeneralTank"]		= {
		["b"] = 1,
		["color"] = "|cff007fff",
		["g"] = 0.49803921568627,
		["r"] = 0,
	},
	["cGeneralHeal"]		= {
		["b"] = 0.6,
		["color"] = "|cff00cc99",
		["g"] = 0.8,
		["r"] = 0,
	},
	["cGeneralZzz"]			= {
		["b"] 		= 0.34509803921569,
		["color"] 	= "|cfff7d358",
		["g"] 		= 0.82745098039216,
		["r"] 		= 0.96862745098039,
	},
	["cGeneralLevel"]		= {
		["b"] = 0.24313725490196,
		["color"] = "|cffff033e",
		["g"] = 0.011764705882353,
		["r"] = 1,
	},
	["mSystemMenu"] = {["greatvault"] = true,},
	["mSavedAffixes"]		= {["day"] = 0, ["affixes"] = nil, ["season"] = nil, ["reset"] = false},
	["mAnima"]				= {["icon"] = true, ["short"] = true, ["name"] = false, ["bag"] = true, ["style"] = "auto", ["showmax"] = false},
	["mStygia"]				= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto"},
	["mSoulAsh"]			= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto", ["showmax"] = false},
	["mInfusedRuby"]		= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto", ["showmax"] = false},
	["mGratefulOffering"]	= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto"},
	["mValor"]				= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto", ["showmax"] = false},
	["mCatalogedResearch"]	= {["icon"] = true, ["short"] = true, ["name"] = false, ["bag"] = true, ["style"] = "auto", ["showmax"] = false},
	["mSoulCinders"]		= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto"},
	["mStygianEmber"]		= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto"},
	["mTowerKnowledge"]		= {["icon"] = true, ["short"] = true, ["name"] = false, ["style"] = "auto"},
		["mDataText"]			= 
		{	["colorhc"] = {
			["b"] = 0.86666666666667,
			["g"] = 0.43921568627451,
			["hex"] = "|cff0070dd",
			["r"] = 0,
		},
		["colormyth"] = {
			["b"] = 0.93333333333333,
			["g"] = 0.20392156862745,
			["hex"] = "|cffa334ee",
			["r"] = 0.63921568627451,
		},
		["colormythplus"] = {
			["b"] = 0.24313725490196,
			["hex"] = "|cffff033e",
			["g"] = 0.011764705882353,
			["r"] = 1,
		},
		["colornhc"] = {
			["b"] = 0,
			["g"] = 1,
			["hex"] = "|cff1eff00",
			["r"] = 0.11764705882353,
		},
		["colorother"] = {
			["b"] = 1,
			["g"] = 1,
			["hex"] = "|cffffffff",
			["r"] = 1,
		},
		["colortitel"] = {
			["b"] = 0,
			["g"] = 0.7843137254902,
			["hex"] = "|cffffc800",
			["r"] = 1,
		},
		["colortip"] = {
			["b"] = 0.58823529411765,
			["g"] = 0.58823529411765,
			["hex"] = "|cff969696",
			["r"] = 0.58823529411765,
	},},
	["mDock"] = {
		["autogrow"] = true,
		["growsize"] = 8,
		["customfontzise"] = false,
		["font"] = "PT Sans Narrow", 
		["fontSize"] = 12, 
		["fontflag"] = "OUTLINE",
		["fontcolor"] 		= {["r"] = 1, ["g"] = 1, ["b"] = 1,},
		["normal"] 			= {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75, ["style"] = "custom",},
		["hover"] 			= {["r"] = .1, ["g"] = .94, ["b"] = 1, ["a"] = 100, ["style"] = "class",},
		["click"] 			= {["r"] = .4, ["g"] = .4, ["b"] = .4, ["a"] = .75, ["style"] = "custom",},
		["tip"] = {["enable"] = true,},
		["achievement"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\toy\\toy4.tga", ["name"] = "Toy4",},
		["blizzardstore"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\shop\\shop7.tga", ["name"] = "Shop7",},
		["character"] = {["color"] = "default", ["option"] = "none", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\social\\social9.tga", ["name"] = "Social9",},
		["collection"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\collection\\collection18.tga", ["name"] = "Collection18",},
		["encounter"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\quest\\quest2.tga", ["name"] = "Quest2",},
		["guild"] = {["color"] = "class", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\social\\social13.tga", ["name"] = "Social13",},
		["lfd"] = {["cta"] = true, ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\other\\other22.tga", ["name"] = "Other22",
					["greatvault"] = true, ["affix"] = true, ["keystone"] = true, ["difficulty"] = true,},
		["mainmenu"] = {["text"] = "FPS", ["color"] = "default", ["option"] = "none", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\system\\system30.tga", ["name"] = "System30",},
		["quest"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\quest\\quest1.tga", ["name"] = "Quest1",},
		["spellbook"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\other\\other1.tga", ["name"] = "Other1",},
		["talent"] = {["showrole"] = true, ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\collection\\collection5.tga", ["name"] = "Collection5",},
		["friends"] = {["color"] = "class", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\social\\social16.tga", ["name"] = "Social16",},
		["fpsms"] = {["text"] = "FPS", ["color"] = "default", ["option"] = "fps", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\system\\system26.tga", ["name"] = "System26",},
		["durability"] = {["onlytext"] = false, ["color"] = "default", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\system\\system28.tga", ["name"] = "System28",},
		["itemlevel"] = {["onlytext"] = false, ["text"] = "Ilvl", ["color"] = "default", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\system\\system31.tga", ["name"] = "System31",},
		["nottification"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\system\\system25.tga", ["name"] = "System25",
								["r"] = 0, ["g"] = 1, ["b"] = 0, ["a"] = .75, ["style"] = "custom", ["size"] = 16, ["flash"] = true,},
		["profession"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\other\\other25.tga", ["name"] = "Other25",},
		["calendar"] = {["option"] = "none", ["showyear"] = false, ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\dock\\other\\other34.tga", ["name"] = "Other34",},
	},
	["mRoll"] = {["enable"] = false, ["colormodenormal"] = "custom", ["colormodehover"] = "class", ["colornormal"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,},
				 ["colorhover"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,}, ["size"] = 16,},
	["mChatMenu"] = {["enable"] = false, ["colormodenormal"] = "custom", ["colormodehover"] = "class", ["colornormal"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,},
				  ["colorhover"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,}, ["size"] = 16,},
	["SystemMenu"]			= {["showicon"] = true,},
	["Dungeon"]	= {["showicon"] = true,},
	["ProfessionMenu"] = {["showicon"] = true,},
	["mMythicPlusTools"]	= {["keys"] = true,},
	["mObjectiveTracker"]	= {["enable"] = false, 
								["titel"] = {["barenable"] = true, ["texture"] = "|CFF8E44ADm|r|CFF2ECC71Media|r |CFF3498DB4a|r", ["barhigth"] = 4, ["barwidth"] = 0, ["barshadow"] = true,
											 ["quests"] = "colorright", ["barstyle"] = "class", ["barcolor"] = {["r"] = 1, ["g"] = 0.7843137254902, ["b"] = 0,}, 
											 ["font"] = "PT Sans Narrow", ["fontsize"] = 16, ["fontflag"] = "OUTLINE", ["fontstyle"] = "custom", 
											 ["fontcolor"] = {["r"] = 1, ["g"] = 0.7843137254902, ["b"] = 0,}, ["baroffsety"] = 0, ["baroffsetx"] = 0, ["baranchor"] = "BOTTOM"
											},
								["quests"] = {["titel"] = {["enable"] = true, ["font"] = "PT Sans Narrow", ["fontsize"] = 15, ["fontflag"] = "NONE", ["fontstyle"] = "custom", 
											  			   ["fontcolor"] = {["r"] = 1, ["g"] = 0.7843137254902, ["b"] = 0,},
														},
											  ["other"] = {["enable"] = true, ["font"] = "PT Sans Narrow", ["fontsize"] = 13, ["fontflag"] = "NONE", ["fontstyle"] = "custom", 
														   ["fontcolor"] = {["r"] = .8, ["g"] = .8, ["b"] = .8,}, ["completefontcolor"] = {["r"] = 0, ["g"] = 1, ["b"] = 0,},
														   ["failedfontcolor"] = {["r"] = 1, ["g"] = 0, ["b"] = 0,},
												   		},
											  ["questtext"] = {["progresspercentstyle"] = "custom", ["progressstyle"] = "custom", ["dashstyle"] = "dot", ["dashdottexture"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\misc\\dot1.tga",
											  				   ["dashdotname"] = 1, ["dashcustom"] = ">", ["progress"] = {["enable"] = true, ["percent"] = true, 
															   ["good"] = {["r"] = .11, ["g"] = 1, ["b"] = 0,}, ["bad"] = {["r"] = 1, ["g"] = .01, ["b"] = .24,},
															   ["transition"] = {["r"] = 1, ["g"] = .78, ["b"] = 0,},},
															},
											},
							},
	["mTags"] = {	["dndname"] = "DND1", ["dndpath"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\misc\\dnd1.tga", 
					["afkname"] = "AFK1", ["afkpath"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\misc\\afk1.tga", 
					["skullname"] = "SKULL2", ["skullpath"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\misc\\skull2.tga",
					["ghostname"] = "SKULL10", ["ghostpath"] = "Interface\\AddOns\\ElvUI_mMediaTag\\media\\misc\\skull10.tga",
				},
}